#
# spec file for package imaze (Version 1.3)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xv32dev xv32slib

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         imaze
Release:      18
Copyright:    1993-1996 by Hans-Ulrich Kiel and Joerg Czeranski
Group: 
Provides:     imaze1.3 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      1.3
Summary:      X11/Xview - Multi-Player - 3D Game
Source: imaze1.3.tar.gz
Source1: imaze-sounds.tar
Patch: imaze.dif
%description
a 3D TCP/IP-network-game under X11/XView. There are clients (imaze, ninja)
working together with one server (imazesrv).
To start the game, you've to fire up the server first:
imazesrv /usr/games/imaze/labs/demolab.lab &
Then you can start the clients with:
ninja <Server> &
imaze &

Authors:
--------
    Hans-Ulrich Kiel <Kiel@rz.tu-clausthal.de>
    Joerg Czeranski <Czeranski@informatik.tu-clausthal.de>

%prep
%setup -n imaze -a 1
%patch
%build
(cd source && make linux OPENWINHOME=/usr/openwin)
%install
install -s -m 755 source/imaze source/imazesrv source/ninja source/genlab /usr/X11R6/bin
cp -a man6 /usr/X11R6/man
mkdir -p /usr/lib/imaze
rm -rf /usr/lib/imaze/labs
rm -rf /usr/lib/imaze/sounds
cp -a Xdefaults.OpenWindows /usr/X11R6/lib/X11/app-defaults/iMaze
cp -a labs /usr/lib/imaze
cp -a sounds /usr/lib/imaze
chown -R root.root /usr/lib/imaze
Check
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%doc README
%dir /usr/X11R6/lib/X11/app-defaults
%dir /usr/lib/imaze
%dir /usr/lib/imaze/labs
%dir /usr/lib/imaze/sounds
/usr/X11R6/bin/genlab
/usr/X11R6/bin/imaze
/usr/X11R6/bin/imazesrv
/usr/X11R6/bin/ninja
%config /usr/X11R6/lib/X11/app-defaults/iMaze
%doc /usr/X11R6/man/man6/genlab.6.gz
%doc /usr/X11R6/man/man6/imaze.6.gz
%doc /usr/X11R6/man/man6/imazesrv.6.gz
%doc /usr/X11R6/man/man6/ninja.6.gz
/usr/lib/imaze/labs/10x10.lab
/usr/lib/imaze/labs/12x12.lab
/usr/lib/imaze/labs/15x15.lab
/usr/lib/imaze/labs/20x20.lab
/usr/lib/imaze/labs/25x25.lab
/usr/lib/imaze/labs/april.lab
/usr/lib/imaze/labs/demolab.lab
/usr/lib/imaze/labs/doors.lab
/usr/lib/imaze/labs/longest.lab
/usr/lib/imaze/labs/no1.lab
/usr/lib/imaze/labs/november.lab
/usr/lib/imaze/labs/october.lab
/usr/lib/imaze/sounds/awake.au
/usr/lib/imaze/sounds/dead.au
/usr/lib/imaze/sounds/kill.au
/usr/lib/imaze/sounds/miss.au
/usr/lib/imaze/sounds/pause.au
/usr/lib/imaze/sounds/shoot.au
/usr/lib/imaze/sounds/title.au

